Bug 238338 - ibook g4 fn key and f1-12 key not functioning properly
ibook g4 fn key and f1-12 key not functioning properly
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-29 10:36 EDT by Jukka Palko
Modified: 2008-04-11 19:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-11 19:12:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xev keypresses (6.06 KB, text/plain)
2007-04-29 10:36 EDT, Jukka Palko
no flags Details

  None (edit)
Description Jukka Palko 2007-04-29 10:36:22 EDT
Description of problem:
The f1-12 buttons behave all wrong after install. If I push f1, the screen gets
dimmed, f2 brightens it. f6 switches numlock on and off, f11 seems to put
current app to fullscreen and back to normal.

Version-Release number of selected component (if applicable):
Fedora release 6.93 (Rawhide), kernel 2.6.21-1.3116.fc7

How reproducible:
Install fedora 7 latest on an ibook g4.

Steps to Reproduce:
1. Install f7test4 on ibook g4.
2. Login to gnome
3. press f1-12 keys
  
Actual results:
Included xev data from f1-12 presses, f6 caused no output.

Expected results:
f1-12 presses.

Additional info:
Comment 1 Jukka Palko 2007-04-29 10:36:22 EDT
Created attachment 153736 [details]
xev keypresses
Comment 2 Jukka Palko 2007-04-29 11:19:05 EDT
I guess this goes a bit deeper as when I boot the system up to runlevel 3, the
function keys don't work properly on the console either.
Comment 3 Jukka Palko 2007-05-15 13:09:31 EDT
I think I've got this figured out to a certain point. The "fn" key is by default
somehow already depressed and when I push fn+f1, I get the normal f1 function to
happen.

Any suggestions on what is wrong with my installation? :)
Comment 4 Jukka Palko 2007-05-15 13:17:24 EDT
I guess kernel would be the more proper category now.
Comment 5 Jukka Palko 2007-05-16 02:06:37 EDT
The weird bit is that the "fn" is interpreted as pressed down only for the f1-12
keys, but for using page up and page down the fn+arrow keys results in page up
or down.
Comment 6 Andy Shevchenko 2007-11-14 03:10:18 EST
On F-7 with last updates the first Fx keys (F1-F6 if I remember correctly) 
works only with Fn modificator. 
HW: iBook G4 mid-2005.
Comment 7 Bug Zapper 2008-04-03 20:21:38 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 8 Jukka Palko 2008-04-04 01:06:17 EDT
Unfortunately I don't have the hardware anymore due to an accident with the
machine and I've switched to a more recent hardware model.

I'm sorry that I didn't remember to mention that here.
Comment 9 John Poelstra 2008-04-11 19:12:51 EDT
Thanks for the update.

Note You need to log in before you can comment on or make changes to this bug.